#include "tmesh.h"

TMesh::TMesh() {

  color = 0x00000000;
  vertsN = 0;
  verts = 0;
  trisN = 0;
  tris = 0;

}


void TMesh::Load(char *fileName) {

  ifstream ifs(fileName);
  if (ifs.ios::fail()) {
    cerr << "ERROR: cannot open: " << fileName << endl;
    return;
  }

  

  ifs.close();

}


void TMesh::Render(FrameBuffer *fb, PHC *phc) {

  for (int tri = 0; tri < trisN; tri++) {
    for (int vi = 0; vi < 3; vi++) {
      fb->DrawSegment3D(verts[3*tri+vi], verts[3*tri+((vi+1)%3)], 
        *phc, color);
    }
  }

}
